## com.google.gwt.core.ext.typeinfo
Class JParameter

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JParameter

All Implemented Interfaces:
  HasMetaData

public class JParameter
extends java.lang.Object
implements HasMetaData

Represents a parameter in a declaration.

Constructor Summary
`JParameter(JAbstractMethod enclosingMethod, JType type, java.lang.String name)`

Method Summary
`void` `addMetaData(java.lang.String tagName, java.lang.String[] values)` Adds additional metadata.
`JAbstractMethod` `getEnclosingMethod()`
`java.lang.String[][]` `getMetaData(java.lang.String tagName)` Gets each list of metadata for the specified tag name.
`java.lang.String[]` `getMetaDataTags()` Gets the name of available metadata tags.
`java.lang.String` `getName()`
`JType` `getType()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JParameter

    public JParameter(JAbstractMethod enclosingMethod,
                      JType type,
                      java.lang.String name)

Method Detail

### addMetaData

    public void addMetaData(java.lang.String tagName,
                            java.lang.String[] values)

  Description copied from interface: `HasMetaData`
  Adds additional metadata.

  Specified by:
    `addMetaData` in interface `HasMetaData`

### getEnclosingMethod

    public JAbstractMethod getEnclosingMethod()

### getMetaData

    public java.lang.String[][] getMetaData(java.lang.String tagName)

  Description copied from interface: `HasMetaData`
  Gets each list of metadata for the specified tag name.

  Specified by:
    `getMetaData` in interface `HasMetaData`

### getMetaDataTags

    public java.lang.String[] getMetaDataTags()

  Description copied from interface: `HasMetaData`
  Gets the name of available metadata tags.

  Specified by:
    `getMetaDataTags` in interface `HasMetaData`

### getName

    public java.lang.String getName()

### getType

    public JType getType()

### toString

    public java.lang.String toString()